Description

This is a full release of DCG v3.5 for the original Men of War game packaged as a single download - all packs are included in this release. Mirrors can be found here:

Preview
DCG v3.5 for Men of War - Full Release (Outdated)
Comments
Jason1_ Author
Jason1_

Moddb had some trouble with GameFront's new country-specific policy. I think it may take a while for it to be properly mirrored to all countries - check back and let us know.

If you get an error when running DCG, but the old one was running fine, it is probably because you need to update your XNA install to version 3.1. Please see the included readme.txt or setup.htm file.

Reply Good karma+2 votes
klumpaen
klumpaen

you can fix it by using Moddb.com
instead of the normal download now button :)

Reply Good karma Bad karma+4 votes
szolnok999
szolnok999

Campaign exe is stopped working :))

Reply Good karma Bad karma+3 votes
Jason1_ Author
Jason1_

Did you update to XNA 3.1? Can you give more information?

Reply Good karma+3 votes
szolnok999
szolnok999

Ah thank you. Now it Working!

Reply Good karma Bad karma+3 votes
Barbedwire_Cule
Barbedwire_Cule

Hey Guys:

In terms of software and versatility of this, this is by FAR the most advanced mod for MoW saga.

Reply Good karma Bad karma+4 votes
zekewolff
zekewolff

Thank you very much!

~Zeke.

Reply Good karma Bad karma+2 votes
Guest
Guest

ok I tried again and it still didn't work, still a black screen. Since I have steam for this game I extracted this mod to the mod folder in the game so do I need the realism mod or something else?

Reply Good karma Bad karma+2 votes
na1339034224
na1339034224

I have the same problem and tried doing as Ty2903 suggested with no luck.

Reply Good karma Bad karma+2 votes
Ty2903
Ty2903

Did you run the Campaign.exe and create your mission?

Reply Good karma Bad karma+2 votes
Guest
Guest

how do you do that

Reply Good karma Bad karma+1 vote
zekewolff
zekewolff

Follow this tutorial Moddb.com

~Zeke.

Reply Good karma Bad karma+2 votes
na1339034224
na1339034224

Not sure what I was doing wrong with the first two campaigns that I created but it works just fine after I made the third one.

Reply Good karma Bad karma+2 votes
Ignorama
Ignorama

Hello,

very nice to see you guys still working on this beauty.
When i asked on 3.0, whether i am able to disable airstrikes from ai, i got the information to wait for this version:)
How can i disable airstrikes? Settings.xml?
Thx for the work so far. Keep it up!

Reply Good karma Bad karma+1 vote
zekewolff
zekewolff

Open up the "settings.xml" and change this line:

<airattackrunsmax>5</airattackrunsmax>

to look like this instead:

<airattackrunsmax>0</airattackrunsmax>

~Zeke.

Reply Good karma Bad karma+1 vote
Guest
Guest

Umm will the realism mod work for this version?

Reply Good karma Bad karma0 votes
zekewolff
zekewolff

No.

~Zeke.

Reply Good karma Bad karma+2 votes
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

TheKraken86
TheKraken86

I get an unhandled error when i hit extract maps

Reply Good karma Bad karma+1 vote
zekewolff
zekewolff

Install the three necessary subprograms from Microsoft (Visual #J, .NET and .XMA).

~Zeke.

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

zekewolff
zekewolff

What do you mean with that they do not work? The mod has been playtested for quite a while now, and this is the first time anyone says that some vehicles doesnt work...

~Zeke.

Reply Good karma Bad karma+1 vote
zekewolff
zekewolff

Update your game to the latest version, 1.17.5. DCG3.5 doesnt work with non-patched versions of the game.

~Zeke.

Reply Good karma Bad karma+1 vote
zekewolff
zekewolff

You need to apply the 1.11.3.1 patch, and then update to 1.17.5.

You can download all the needed patches from here:

Menofwargame.com

And of course, in 99.8% of the cases, your game must also be a legal copy to be able to use these patches.

~Zeke.

Reply Good karma Bad karma+2 votes
Dando[SVK]
Dando[SVK]

I'll start the 1.11.3.1 update but it writes: The Setup has detected no version of Men of War is installed.
The update requires a previous version of the game.

Reply Good karma Bad karma+1 vote
zekewolff
zekewolff

CanĀ“t help you with this - never had the same error myself.

You can ask for help at Digitalmindsoft.eu and/or at Forum.1cpublishing.eu

Hope you solve the problem.

~Zeke.

Reply Good karma Bad karma+1 vote
bradski1111
bradski1111

what do you mean hotfix -- i mean in the tutorial

Reply Good karma Bad karma+1 vote
zekewolff
zekewolff

If your game is patched to 1.17.5 with the latest official patch, you dont need the hotfix.

REad more about it at Forum.1cpublishing.eu

~Zeke.

Reply Good karma Bad karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.